#include <bits/stdc++.h>
#define ll long long
using namespace std;

int N, L, H;

int main()
{
    scanf("%d %d", &N, &L);
    for(int i = 1; i <= N; i++)
    {
        scanf("%d", &H);
        if(H <= L)
        {
            printf("%d\n", i);
            break;
        }
        if(i == N) printf("-1\n");
    }
    return 0;
}